package com.muyu.system.domain;

import com.muyu.system.properties.ServerConfigProperties;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Description: 登陆用户信息
 * @author: MuYu
 * @date: 2024/9/11-上午10:15
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoginUserInfo {

    /**
     * 用户ID
     */
    private Long id;

    /**
     * 用户名称
     */
    private String userName;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 服务配置
     */
    private ServerConfigProperties serverConfig;


}
